package com.logicbig.example;

import org.springframework.core.io.Resource;
import org.springframework.core.io.support.PathMatchingResourcePatternResolver;
import java.io.File;
import java.io.IOException;

public class FilesInClassPathSpringExample {

    public static void main(String[] args) throws IOException {
        PathMatchingResourcePatternResolver resourcePatternResolver =
                new PathMatchingResourcePatternResolver();

        System.out.println("-- under subfolder2 --");
        Resource[] resources = resourcePatternResolver.getResources("classpath:subfolder2/**/*.txt");
        for (Resource resource : resources) {
            File file = resource.getFile();
            System.out.println(file);
        }

        System.out.println("-- under all folders in classpath --");
        Resource[] resources2 = resourcePatternResolver.getResources("classpath:**/*.txt");
        for (Resource resource : resources2) {
            File file = resource.getFile();
            System.out.println(file);
        }
    }
}